"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIgnore = void 0;
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
const argParse_1 = require("../inc/argParse");
async function createIgnore() {
    const ignoreFile = (0, path_1.resolve)(argParse_1.PROJECT_ROOT, '.npmignore');
    if (!(await (0, fs_extra_1.stat)(ignoreFile).then((item) => !!item, (_) => false))) {
        await (0, fs_extra_1.createFile)(ignoreFile);
    }
    const data = await (0, fs_extra_1.readFile)(ignoreFile, 'utf-8');
    const lines = data.split(/\n/g);
    if (lines.includes('lib/*.d.ts') && lines.includes('lib/**/*.d.ts')) {
        return;
    }
    if (!lines[lines.length - 1] && !lines[lines.length - 2]) {
        lines.pop();
    }
    lines.push('### export-all-in-one ###', 'lib/*.d.ts', 'lib/**/*.d.ts', '');
    await (0, fs_extra_1.writeFile)(ignoreFile, lines.join('\n'));
}
exports.createIgnore = createIgnore;
//# sourceMappingURL=createIgnore.js.map