"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const builder_1 = require("@build-script/builder");
const createIgnore_1 = require("./actions/createIgnore");
const updatePackageJson_1 = require("./actions/updatePackageJson");
const argParse_1 = require("./inc/argParse");
const configFile_1 = require("./inc/configFile");
const typescript_1 = require("typescript");
async function default_1() {
    (0, builder_1.setProjectDir)(argParse_1.PROJECT_ROOT);
    console.log('current directory:', argParse_1.PROJECT_ROOT);
    const hookMode = await (0, builder_1.isBuildConfigFileExists)();
    const command = (0, configFile_1.getOptions)();
    const outDir = command.options.outDir;
    if (!outDir) {
        throw new Error(`Oops, this project did not have "outDir" in "compilerOptions" in "${argParse_1.CONFIG_FILE}"`);
    }
    const isESNext = command.options.module === typescript_1.ModuleKind.ESNext;
    const dualPackage = !process.argv.includes(argParse_1.NO_DUAL_FLAG);
    await (0, updatePackageJson_1.updatePackageJson)({ isESNext, hookMode, dualPackage, outDir });
    await (0, createIgnore_1.createIgnore)();
    console.log('Done.');
}
exports.default = default_1;
//# sourceMappingURL=injectPackage.js.map